/*
 * Copyright 2002 Farfpeuf/ AdetSoft. All rights reserved.
 * Use is subject to license terms.
 */
package fb.army.entities;

import fb.util.Resources;

/**
 * an exterminator
 * @author farfpeuf
 *
 */
public class Exterminator extends Heroic{

	/**
	 * create exterminator from line read in catalog
	 * 
	 * @param ligne
	 *            catalog line
	 * @param linenumber
	 *            line number
	 */
	public Exterminator(String ligne,int linenumber){

			super(ligne,linenumber);


	}
	/**
	 * @return resource key
	 */
	protected  String getResourceKey(){
		return "destroyer";
	}	
	/**
	 * get entity type description for tooltip
	 * 
	 * @return entity type description for tooltip
	 */
	public String getTooltip(){
		return Resources.getString("exterminator.tt");
	}
}
