/*
 * Copyright 2002 Farfpeuf/ AdetSoft. All rights reserved.
 * Use is subject to license terms.
 */
package fb.battlefield;
/**
 * a sequence of images for a specified character, action and point of view 
 * @author farfpeuf
 *
 */
public class SpriteSequence {
	/**
	 * constructor 
	 * @param index1 first frame index
	 * @param index2 second frame index
	 * @param index3 third frame index
	 * @param index4 fourth frame index
	 */
	public SpriteSequence(int index1, int index2,int index3, int index4) {
		this.firstFrameIndex = index1;
		this.secondFrameIndex = index2;
		this.thirdFrameIndex = index3;
		this.fourthFrameIndex = index4;
	}
	

	
	private int firstFrameIndex, secondFrameIndex, thirdFrameIndex, fourthFrameIndex;



	/**
	 * @return Returns the firstFrameIndex.
	 */
	public int getFirstFrameIndex() {
		return firstFrameIndex;
	}



	/**
	 * @return Returns the fourthFrameIndex.
	 */
	public int getFourthFrameIndex() {
		return fourthFrameIndex;
	}



	/**
	 * @return Returns the secondFrameIndex.
	 */
	public int getSecondFrameIndex() {
		return secondFrameIndex;
	}



	/**
	 * @return Returns the thirdFrameIndex.
	 */
	public int getThirdFrameIndex() {
		return thirdFrameIndex;
	}


	
}
